// Registry helper classes
// (C)1996 By John Lam

// Class that represents a single value entry in the registry

class CRegistryValue
{
public:
	CRegistryValue ();
	~CRegistryValue ();
	
	CRegistryValue (CString, CString);
	CString m_strValue, m_strName;
};

// Helper class that encapsulates a Registry key and allows for enumeration of 
// the registry key

class CRegistryKey 
{
private:
	CObList m_RegistryValues;
	CString m_strRegistryKey;
	POSITION m_pos;

public:
	CRegistryKey ();
	CRegistryKey (CString);
	~CRegistryKey ();

	// Access functions for internal linked list
	BOOL GetNext(CRegistryValue*&);
	CRegistryValue* GetAt(int);
	void GotoHead();
	void RemoveAt(int);
	int GetCount();
};
