// MLPage.h : header file
//

#include "Registry.h"

/////////////////////////////////////////////////////////////////////////////
// CMLPage dialog

// Forward references
class CRegistryKey;

class CMLPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CMLPage)

// Construction
public:
	CMLPage();
	~CMLPage();

	// Member functions
	void SetFilename(LPCSTR);

// Dialog Data
	//{{AFX_DATA(CMLPage)
	enum { IDD = IDD_MLPAGE };
	CListBox	m_ListBox;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CMLPage)
	public:
	virtual void OnCancel();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	
	virtual OnInitDialog();

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CMLPage)
	afx_msg void OnAdd();
	afx_msg void OnDelete();
	afx_msg void OnAboutbox();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CString strFilename;		// filename passed from the shell
	CRegistryKey* pRegistryKey;

	// Flags to indicate that we're already displaying one of these dialogs!
	BOOL m_bOpenDialog;
	BOOL m_bAboutDialog;
};
